#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: OpenAL
version: 1.6.0.0
id: OpenAL-1.6.0.0-d17883eeb6e707c262af4e4d5bf5f1f1

license: BSD3
copyright:
maintainer: Sven Panne <svenpanne@gmail.com>, Stephen Blackheath <haskell.openal.stephen@blacksapphire.com>
stability:
homepage: https://github.com/haskell-openal/ALUT
package-url:
synopsis: A binding to the OpenAL cross-platform 3D audio API
description: A Haskell binding for the OpenAL cross-platform 3D audio API,
             appropriate for use with gaming applications and many other
             types of audio applications.
             .
             On Windows, this package works well with the \"OpenAL Soft\" binary
             distribution from <http://kcat.strangesoft.net/openal.html>.
             Type \'\''cabal install --extra-lib-dirs=\<DIR\>\'\'' where \<DIR\> is the
             directory where libOpenAL32.dll.a is located (must be an absolute path).
             Then rename soft_oal.dll to OpenAL32.dll and put it somewhere in
             the PATH. I found that c:\\Windows\\ worked.
             .
             This package has also been tested on GNU/Linux and iOS.
category: Sound
author:
exposed: True
exposed-modules: Sound.OpenAL Sound.OpenAL.AL
                 Sound.OpenAL.AL.Attenuation Sound.OpenAL.AL.BasicTypes
                 Sound.OpenAL.AL.Buffer Sound.OpenAL.AL.Doppler
                 Sound.OpenAL.AL.Errors Sound.OpenAL.AL.Extensions
                 Sound.OpenAL.AL.Listener Sound.OpenAL.AL.Source
                 Sound.OpenAL.AL.StringQueries Sound.OpenAL.ALC
                 Sound.OpenAL.ALC.BasicTypes Sound.OpenAL.ALC.Capture
                 Sound.OpenAL.ALC.Context Sound.OpenAL.ALC.Device
                 Sound.OpenAL.ALC.Errors Sound.OpenAL.ALC.Extensions
hidden-modules: Sound.OpenAL.AL.ALboolean
                Sound.OpenAL.AL.BufferInternal Sound.OpenAL.AL.Format
                Sound.OpenAL.AL.PeekPoke Sound.OpenAL.AL.QueryUtils
                Sound.OpenAL.AL.SourceState Sound.OpenAL.AL.String
                Sound.OpenAL.ALC.ALCboolean Sound.OpenAL.ALC.QueryUtils
                Sound.OpenAL.ALC.String Sound.OpenAL.Config Sound.OpenAL.Constants
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/OpenAL-1.6.0.0
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/OpenAL-1.6.0.0
              /usr/local/lib
hs-libraries: HSOpenAL-1.6.0.0
extra-libraries: openal
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: OpenGL-2.9.2.0-cb60ba8b1ff13a19b46091d9f853cb54
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/OpenAL-1.6.0.0/html/OpenAL.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/OpenAL-1.6.0.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
